Package org.python.core.adapter

# Class ClassAdapter

java.lang.Object
org.python.core.adapter.ClassAdapter

All Implemented Interfaces:
  `PyObjectAdapter`

public abstract class ClassAdapter extends Object implements PyObjectAdapter

## Constructor Summary

Constructors
Constructor
Description
`ClassAdapter(Class adaptedClass)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canAdapt(Object o)`
Returns true if o can be adapted by this adapter.
`Class`
`getAdaptedClass()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.python.core.adapter.PyObjectAdapter

`adapt`

## Constructor Details

### ClassAdapter

public ClassAdapter(Class adaptedClass)

## Method Details

### getAdaptedClass

public Class getAdaptedClass()

### canAdapt

public boolean canAdapt(Object o)
Description copied from interface: `PyObjectAdapter`
Returns true if o can be adapted by this adapter.

Specified by:
  `canAdapt` in interface `PyObjectAdapter`